<template>
  <div
    class="flex flex-row justify-center items-center py-[8.5px] px-4 gap-[35px] bg-background1"
  >
    <span class="h-[19px] font-bold text-[16px] leading-[19px]">
      {{ $t("contact") }}
    </span>
  </div>
  <div class="p-5 pb-[50px]">
    <div class="flex flex-col padding-x">
      <div
        class="flex flex-col p-[16px] bg__gradient rounded-lg mb-[25px] fc-textBtn"
      >
        <div class="flex">
          <ul class="grow">
            <li>
              <p>
                <b class="text-[15.82px] fc-text4">{{
                  $t("online_customer_service")
                }}</b>
              </p>
            </li>
            <li class="leading-6">
              <p class="text-[13.1px] fc-text4">
                {{ $t("dedicated_service_caring_first") }}
              </p>
            </li>
          </ul>
        </div>
      </div>
      <div
        class="flex flex-col items-center px-4 w-full bg-background1 contactus-bg space-y-[9px] rounded-lg"
      >
        <div
          v-for="(contact, index) in getContactList"
          :key="index"
          class="flex justify-between items-center px-3 gap-[25px] w-full h-[64px] contactus-border_b"
        >
          <div
            class="flex flex-auto items-center p-0 gap-2 h-[24px]"
            @click="handleHyperlinkRender(contact.HyperLink)"
          >
            <div class="w-[24px] h-[24px]">
              <img v-lazy="contact.ImagePath" class="w-full h-full" />
            </div>
            <div class="flex-auto h-[16px] font-bold text-sm leading-4">
              <span>{{ contact.Text }}</span>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent } from "vue";
import { store } from "@/store";

export default defineComponent({
  setup() {
    const { handleHyperlinkRender } = commonHelper;
    const { getContactList } = useContactUs();
    return {
      getContactList,
      handleHyperlinkRender,
    };
  },
});
</script>

<style lang="scss" scoped>
.text-primary {
  color: var(--primary);
}
.contactus-border_b {
  border-bottom: 1px solid #4d5080;
}
.contactus-border_b:last-child {
  border: none;
}
.bg__gradient {
  background-color: #6b52cb;
}
</style>
